Development Orders
Update Development Order
PATCH
/
api
/
v1
/
development-orders
/
{do_id}
Update Development Order
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/development-orders/{do_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rfsId": "<string>",
"rfsDocumentId": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"brand": "<string>",
"product": "<string>",
"title": "<string>",
"sampleQuantity": 123,
"status": "<string>",
"deadline": "<string>",
"specsSheet": "<string>",
"qcReport": "<string>",
"notes": "<string>",
"lineItems": [
{
"product": "<string>",
"styleId": "<string>",
"description": "<string>",
"quantity": 123,
"remarks": "<string>"
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/development-orders/{do_id}"
payload = {
"rfsId": "<string>",
"rfsDocumentId": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"brand": "<string>",
"product": "<string>",
"title": "<string>",
"sampleQuantity": 123,
"status": "<string>",
"deadline": "<string>",
"specsSheet": "<string>",
"qcReport": "<string>",
"notes": "<string>",
"lineItems": [
{
"product": "<string>",
"styleId": "<string>",
"description": "<string>",
"quantity": 123,
"remarks": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rfsId: '<string>',
rfsDocumentId: '<string>',
clientId: '<string>',
clientName: '<string>',
brand: '<string>',
product: '<string>',
title: '<string>',
sampleQuantity: 123,
status: '<string>',
deadline: '<string>',
specsSheet: '<string>',
qcReport: '<string>',
notes: '<string>',
lineItems: [
{
product: '<string>',
styleId: '<string>',
description: '<string>',
quantity: 123,
remarks: '<string>'
}
]
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/development-orders/{do_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
⌘I
Update Development Order
